EKNO YUAG - Bug #3581

Permintaan Pengecekan Data Time Management Tidak Tersinkron di Website

04/25/2025 11:42 AM - Mr Dhafin

Status: Assigned
Priority: Immediate
Assignee: M Azid Wahyudi
Category:

Target version:

Start date:
Due date:

% Done:

Spent time:

Estimated time:

04/25/2025
06/08/2025
0%

0.00 hour
0.00 hour

Description
Dear Tim Developer,

Mohon bantuannya untuk melakukan pengecekan terhadap kendala yang terjadi pada fitur Leave, Attendance, dan Overtime di

aplikasi website.

Meskipun pengajuan melalui aplikasi mobile telah berhasil dilakukan dan mendapat approval, namun saat data tersebut dicek

melalui menu Time Data di website, informasi pada tab Leave, Attendance, dan Overtime tidak muncul. Berikut untuk detail

gambarnya.
Terimakasih.
PORT: https://hris-ekno.minovais.com/Account/Login

DB: 103.153.60.89
Nama DB: MinovaES_Ekno

History

#1 - 04/25/2025 11:43 AM - Mr Dhafin
- Due date set to 04/29/2025

#2 - 04/25/2025 12:54 PM - shofwan shiddiq
- Status changed from Assigned to QA Test
- Assignee changed from shofwan shiddiq to M Azid Wahyudi

Ini saya assign ke azid yah, karena sebelum nya azid yg kerjakan.

#3 - 04/25/2025 02:42 PM - M Azid Wahyudi
- File clipboard-202504251441-wbuxj.png added
prrodennlie Sl LGS o 2 e
FlowType

EmployeelDRe...

ReglD Sequence RegNo BizProcessIDRun  BizFlowlDRun UserRequester

6 6 6 Attendancekasy  MD_Attendanc... 00000366
7 6 7 AttendanceEasy MD_Attendanc... 00000366
1 6 11 ESS_Overtime_.. MD_Overtime_.. DDDODSEE
16 6 16 AttendanceEasy MD_Attendanc... 00000366
22 3 2 AttendanceEasy MD_Attendanc... 00000366
29 ] 29 Attendancekasy MD_Attendanc... 00000366
30 6 30 AttendanceEasy MD_Attendanc... 00000366
Bl 6 3 Attendancekasy  MD_Attendanc... 00000366
3 6 3 ESS_Overtime_... MD_Overtime._... 00000002
8 6 kL] ESS_Overtime_.. MD_Overtime_.. DDDODSEE
4 3 4 Attendancekasy MD_Attendanc... 00000366
44 6 H“ ESS_Overtime_... MD_Overtime._... 00000366
45 3 45 Attendancekasy  MD_Attendanc... 00000366
31 6 51 Leave_FAMA MD_Leave FAMA 00000366
52 2 ESS_Owertime_... MD_Overtime_.. 00000566 00000366
33 2 Leave_FAMA MD_Leave_FAMA 00000566 00000366
54 3 54 AttendanceEasy MD_Attendanc... 00000366
55 2 ESS_Overtime_.. MD_Overtime_.. 00000366 00000566
57 3 57 AttendanceEasy MD_Attendanc... 00000366
58 3 58 ESS Overtime_.. MD_Overtime_... DDDODSEE
NULL NULL NULL NULL NULL NULL NULL

kalau data ga masuk cek dulu ke table PCMWFRUNTASKASYNC

07/02/2025

UserCreate

00000002
00000002
00000001
00000002
00000002
00000002
00000002
00000002
00000001
00000001
00000002
00000001
00000002
00000003
daud
haykal
00000002
haykal
00000002
00000001
NULL

EmployeelDCr...

00000002
00000002
00000001
00000002
00000002
00000002
00000002
00000002
00000001
00000001
00000002
00000001
00000002
00000003
00000366
00000566
00000002
00000566
00000002
00000001
NULL

TasklDFilter

MNULL

TaskFrom

approvalapprov...
approvalapprov...
approvalapprov...
approvalapprov...
approvalapprov..
approvalapprov...
approvalapprov...
approvalapprov...
approvalapprov...
approvalapprov...
approvalapprov...
approvalapprov..
approvalapprov...

approvalapprov.

create

create

approvalapprov..

create

approvalapprov.

approvalapprov...

NULL

TaskIDRun
reject_mail_cre...
reject_mail_cre...
reject_mail_cre...
reject_mail_cre...
proc_data PHR...
reject_mail_cre...
reject_mail_cre...
reject_mail_cre...
reject_mail_cre...
reject_mail_cre...
proc_data_PHR...
reject_mail_cre...
proc_data PHR...
reject_mail_cre...
mail_spproval
mail_approval
proc_data PHR...
mail_approval
proc_data_PHR...
proc_data MD16
NULL

TaskIDRunUI

approvalapprov...
approvalapprov...
approvalapprov...
approvalapprov...
approvalapprov..
approvalapprov...
approvalapprov...
approvalapprov...
approvalapprov...
approvalapprov...
approvalapprov...
approvalapprov..
approvalapprov...

approvalapprov.

start
start

approvalapprov.

start

approvalapprov.

approvalapprov...

NULL

40
410
40
410
400
410
410
40
410
40
400
410
400
400
200
200
400
200
400
400
NULL

1/2

FlowiNan|
reject_apy
reject_apy
mail_rejed
reject_apy
apvappro
reject_apy
reject_apy
reject_apy
mail_rejed
mail_rejed
apvappro
mail_rejed
apvappro
mail_rejed
after_creal
after_creal
apvappro
after_creal
apvappro
apvappro
NULL



https://hris-ekno.minovais.com/Account/Login

makasih

#4 - 04/25/2025 05:02 PM - Mr Dhafin
- File Testing Attendance 1.jpg added
- File Testing Leave 1.jpg added

- File Overtime testing 1.jog added

Dear Mas Azid,

Setelah dilakukan pengecekan, ditemukan beberapa kendala terkait data Overtime, Attendance, dan Leave yang tidak sesuai dengan pengajuan

melalui aplikasi mobile.

Untuk Overtime, terdapat error pada tabel PCMWFRUNTASKASYNC dengan pesan:

(proc_data_MD16-error on Create:Failed to convert parameter value from a String to a Decimal. - MinovalS.MinovaES.Business.WorkFlow)
Kemudian, saat dicek pada tabel CMWFRUNBIZDATA, ditemukan perbedaan pada field DateFrom dan DateTo yang tidak sesuai dengan data
pengajuan dari mobile. Detail perbedaannya telah dilampirkan dalam gambar.

Untuk Attendance, muncul error pada tabel PCMWFRUNTASKASYNC dengan pesan:
(proc_data_ PHRPAOQO019-error on Create:String or binary data would be truncated. The statement has been terminated. -

MinovalS.MinovaES.Business.WorkFlow)

Berdasarkan pengecekan di tabel CMWFRUNBIZDATA, nilai pada field AttendanceType tidak sesuai. Seharusnya bernilai 1000, namun tercatat

berbeda. Bukti detail juga telah dilampirkan.

Sedangkan pada pengajuan Leave, ditemukan bahwa status pengajuan berubah menjadi Reject, padahal untuk Request ID 56 sudah saya lakukan
proses Approve sebelumnya. Seharusnya status tersebut menjadi Success, namun di sistem tercatat sebagai Reject. Perbedaan ini juga telah

didokumentasikan dalam bentuk gambar.

Terima kasih.

#5 - 04/28/2025 09:06 AM - Mr Dhafin
- Status changed from QA Test to Assigned

#6 - 04/28/2025 03:37 PM - Kezia Pawitra Yulianti

- Priority changed from Normal to Immediate

#7 - 06/03/2025 04:53 PM - Mr Dhafin
- Due date changed from 04/29/2025 to 06/08/2025
